#! /bin/bash

echo "Call times: (match the System Information screen)"
fgrep --no-filename "setting call status to:" /var/log/Otvlog
fgrep --no-filename "setting call status to:" /var/log/tvlog
echo After the call completes, the tvlog file is rotated.

echo
#sleep 1
# after the call completes, the tvlog file is rotated.
echo "Indexing start:"
fgrep "Master indexer start" /var/log/Otvlog
fgrep "Master indexer start" /var/log/tvlog

echo
#sleep 1
echo "Indexing/Garbage Collection end: ('Indexing/GC' on the System information screen)"
fgrep "DbGc::AfterIndexersFSuccessful = 1" /var/log/Otvlog
fgrep "DbGc::AfterIndexersFSuccessful = 1" /var/log/tvlog

echo
echo "Lineup updates (if any):"

yesterdaychanges=`fgrep "No lineup changes were detected" /var/log/Otvlog`

todaychanges=`fgrep "No lineup changes were detected" /var/log/tvlog`

if [ "$yesterdaychanges" != "" ] ; then
        # a positive "no changes" message was there, print it
        echo $yesterdaychanges
else
        fgrep LineupUpdate /var/log/Otvlog | fgrep -v "has completed" \
        | fgrep -v "returned 0" | fgrep -v "Gathering" \
        | fgrep -v "Checking" | fgrep -v "Sorting"
fi
if [ "$todaychanges" != "" ] ; then
        # a positive "no changes" message was there, print it
        echo $todaychanges
else
        fgrep LineupUpdate /var/log/tvlog | fgrep -v "has completed" \
        | fgrep -v "returned 0" | fgrep -v "Gathering" \
        | fgrep -v "Checking" | fgrep -v "Sorting"
fi
              
echo
#sleep 1
echo "Statistics done, safe to reboot:"
fgrep "Sweep done" /var/log/Otvlog
fgrep "Sweep done" /var/log/tvlog

echo
#sleep 1
echo "Blocks:"
fgrep "Media Blocks" /var/log/Otvlog
fgrep "Media Blocks" /var/log/tvlog
